/**
 * Plain data class for physical parameters for the motion of an
 * object that falls in a medium with viscous and turbulent
 * friction. */
public class FallParameters {
    /** Gravital acceleration. */
    public double gAcc;

    /** Viscosity of the surrounding medium. */
    public double visc;

    /** Density of the surrounding medium. */
    public double density;

    /** Mass of the falling object. */
    public double mass;

    /** Effective radius of the falling object. */
    public double radius;

    /** Effective cross-section area of the falling object. */
    public double area;

    /** Geometric coefficient for the turbulent friction. */
    public double geomC;
}
