package lufyt.numeric;

/** 
 * Interface for autonomous ordinary differential equations expressed
 * in the form dy/dt = timeDeriv(y) where y is a double[].
 */
public interface Integrable
{
    /** 
     * Calculate time-derivative of y given y. Returns a newly created
     * double[] with the same length as y for valid y and null for
     * invalid y.
     */
    public double[] timeDeriv(double[] y);
}
