package lufyt.numeric;

public interface ODEStepper 
{
    /**
     * Calculate y after one time-step of length h for the ODE given
     * by dy/dt = oDiff.timeDeriv(y). Returns a newly created Double[]
     * with the same length as y for valid y and null for invalid y.
     */
    public double[] step(double[] y, Integrable oDiff, double h);

}
